# Create a dubbing project from an upload

- **Method:** `POST`
- **Path:** `/api/v1/uploads/{upload_id}/dubbing-project`
- **Operation ID:** `upload_dubbing_project_api_v1_uploads__upload_id__dubbing_project_post`
- **Tags:** Uploads

## Effective servers

- `http://127.0.0.1:8100`

  Voice Creator Pro on this computer

## Path parameters

- **`upload_id` (required)**: `string`

## Request body

**Required:** `true`

**Content type:** `application/json`

schema: `UploadDubbingProjectRequest`

- **`name` (required)**: `string`
- **`clone_voices`**: `boolean`, default: `false`
- **`default_voice_id`**: `string | null`
- **`default_voice_model`**: `string | null`
- **`default_voice_source`**: `string`, default: `"library"`
- **`diarization_engine`**: `string | null`
- **`filename`**: `string | null`
- **`keep_background`**: `boolean`, default: `true`
- **`kind`**: `string`, default: `"dubbing"`
- **`num_speakers`**: `integer | null`
- **`source_lang`**: `string | null`
- **`target_lang`**: `string | null`
- **`timing_mode`**: `string`, default: `"hybrid"`

**Example:**

```json
{
  "name": "",
  "filename": "",
  "source_lang": "",
  "target_lang": "",
  "keep_background": true,
  "timing_mode": "hybrid",
  "default_voice_id": "",
  "default_voice_source": "library",
  "default_voice_model": "",
  "num_speakers": 1,
  "kind": "dubbing",
  "clone_voices": false,
  "diarization_engine": ""
}
```

## Responses

### 200 Successful Response

**Content type:** `application/json`

`any`

**Example:**

```json
null
```

### 422 Validation Error

**Content type:** `application/json`

schema: `HTTPValidationError`

- **`detail`**: `array`

  **Items:**

  schema: `ValidationError`
  - **`loc` (required)**: `array of (string | integer)`
  - **`msg` (required)**: `string`
  - **`type` (required)**: `string`
  - **`ctx`**: `object`
  - **`input`**: `any`

**Example:**

```json
{
  "detail": [
    {
      "loc": [
        ""
      ],
      "msg": "",
      "type": "",
      "input": null,
      "ctx": {}
    }
  ]
}
```

## Schemas

- `HTTPValidationError` — shown above.
- `UploadDubbingProjectRequest` — shown above.
- `ValidationError` — shown above.
